#!/bin/bash
adminUser="admin"
adminPass="SomeAdminPasswordHere"
standardUser="user"
standardPass="SomeUserPasswordHere"

echo "Hostname:"
hostname

# Create a new administrator user
sudo dscl . -create /Users/$adminUser
sudo dscl . -create /Users/$adminUser UserShell /bin/bash
sudo dscl . -create /Users/$adminUser RealName "Administrator"
sudo dscl . -create /Users/$adminUser UniqueID "510"
sudo dscl . -create /Users/$adminUser PrimaryGroupID 80
sudo dscl . -create /Users/$adminUser NFSHomeDirectory /Users/$adminUser
sudo dscl . -passwd /Users/$adminUser $adminPass
sudo dscl . -append /Groups/admin GroupMembership $adminUser

# Create a standard user
sudo dscl . -create /Users/$standardUser
sudo dscl . -create /Users/$standardUser UserShell /bin/bash
sudo dscl . -create /Users/$standardUser RealName "Standard User"
sudo dscl . -create /Users/$standardUser UniqueID "511"
sudo dscl . -create /Users/$standardUser PrimaryGroupID 20
sudo dscl . -create /Users/$standardUser NFSHomeDirectory /Users/$standardUser
sudo dscl . -passwd /Users/$standardUser $standardPass

echo "Press any key to continue..."
read -n 1 -s
